View Issue Details

IDProjectCategoryView StatusLast Update
0004002SymmetricDSBugpublic2019-06-25 14:05
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.10.3Fixed in Version3.10.3 
Summary0004002: Table name with special characters won't sync
DescriptionA table name that contains a special characters won't sync, either because the trigger can't be installed or because the batch can't load. For example, a table name of "g*" won't get a trigger because it uses wildcard matching, but removes the exact match for "g*". The wildcard needs a way to be escaped as a literal character, such as doubling up the character, like "g**". A table name with a comma won't sync because it's not quoted in the batch CSV file.

1. Add escaping of special characters (asterisk, comma, exclamation) by doubling up the character
2. Quote the table name in CSV when required to handle characters like space and backslash
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 9451efef

2019-06-13 12:09:16

admin

Details Diff
0004002: Table name with special characters won't sync
0004002
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers/wildcards.ad Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/TriggerHistory.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

SymmetricDS: 3.10 ed220208

2019-06-19 09:13:11

admin

Details Diff
0004002: Table name with special characters won't sync
0004002
mod - symmetric-util/src/main/java/org/jumpmind/util/FormatUtils.java Diff File

SymmetricDS: 3.10 2baf3e82

2019-06-19 09:15:42

admin

Details Diff
0004002: Table name with special characters won't sync
0004002
mod - symmetric-assemble/src/asciidoc/configuration/table-triggers/wildcards.ad Diff File

Issue History

Date Modified Username Field Change
2019-06-13 10:36 elong New Issue
2019-06-13 10:36 elong Status new => assigned
2019-06-13 10:36 elong Assigned To => elong
2019-06-13 12:09 elong Status assigned => resolved
2019-06-13 12:09 elong Resolution open => fixed
2019-06-13 12:09 elong Fixed in Version => 3.10.3
2019-06-13 13:00 admin Changeset attached => SymmetricDS 3.10 9451efef
2019-06-19 11:00 admin Changeset attached => SymmetricDS 3.10 2baf3e82
2019-06-19 11:00 admin Changeset attached => SymmetricDS 3.10 ed220208
2019-06-25 14:05 admin Status resolved => closed